# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "eq-sdk"
version = "0.1.10"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Celestia Equivalence Service SDK to build clients and integrations to for a running instance of the service"
homepage = "https://celestia.org"
documentation = "https://docs.rs/eq-sdk"
readme = false
license = "MIT"
repository = "https://github.com/celestiaorg/eq-service"

[lib]
name = "eq_sdk"
path = "src/lib.rs"

[[example]]
name = "client"
path = "examples/client.rs"

[dependencies.base64]
version = "0.22"

[dependencies.celestia-types]
version = "0.12"

[dependencies.eq-common]
version = "0.1.10"

[dependencies.serde]
version = "1.0"
features = [
    "derive",
    "derive",
]
default-features = false

[dependencies.tokio]
version = "1.45"
features = [
    "macros",
    "rt-multi-thread",
]

[dependencies.tonic]
version = "0.11.0"
features = [
    "codegen",
    "transport",
]
default-features = false

[dev-dependencies.clap]
version = "4.5"
features = [
    "derive",
    "env",
]

[dev-dependencies.hex]
version = "0.4.3"
